<template>
  <v-row>
    <v-col class="col-sm-6 col-md-6 col-lg-6 col-12">
      <v-card class="mx-auto" max-height="395" height="395">
        <v-card-title>
          <p class="text-truncate">
            Bar Chart ข้อมูลค่าใช้จ่าย รวมทั้งหมด 1 สัปดาห์ แยกตามประเภท
          </p>
        </v-card-title>
        <v-card-text>
          <barWeekly />
        </v-card-text>
      </v-card>
    </v-col>
    <v-col class="col-sm-6 col-md-6 col-lg-6 col-12">
      <v-card class="mx-auto" max-height="395" height="395">
        <v-card-title>
          <p class="text-truncate">
            Staked Bar Chart ข้อมูลค่าใช้จ่ายรวมทั้งหมด จำนวน {{ standDardWeek }} สัปดาห์
          </p>
        </v-card-title>
        <v-card-text>
          <stackWeekly :amountWeek="standDardWeek" />
        </v-card-text>
      </v-card>
    </v-col>
    <v-col class="col-12">
      <v-card class="mx-auto" max-height="450" height="450">
        <v-card-title>
          <p class="text-truncate">
            Staked 100% Bar Chart ข้อมูลค่าใช้จ่ายรวมทั้งหมด จำนวน {{ standDardWeek }} สัปดาห์
          </p>
          <v-spacer />
          <div style="width: 300px">
            <v-subheader class="pl-0 mt-0">
              จำนวนสัปดาห์ (บาร์) ของกราฟ
            </v-subheader>
            <v-slider
              v-model="standDardWeek"
              thumb-label="always"
              :max="max"
              :min="min"
            ></v-slider>
          </div>
        </v-card-title>
        <v-card-text>
          <fullStackWeekly :amountWeek="standDardWeek"/>
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import axios from 'axios'
import barWeekly from '@/components/dashboard/weekly/barHorizontalWeekly.vue'
import stackWeekly from '@/components/dashboard/weekly/stackedWeekly.vue'
import fullStackWeekly from '@/components/dashboard/weekly/fullStackedWeekly.vue'
export default {
  components: {
    barWeekly,
    stackWeekly,
    fullStackWeekly,
  },
  data: () => ({
    standDardWeek: 9,
    amountWeek: '',
    min: 1,
    max: 20,
  }),
  async mounted() {},
  computeds: {},
  methods: {},
}
</script>
<style scoped>
.v-card__title p {
  color: #6e6e6e;
  line-height: 1.33;
  margin: 0;
  font-size: 20px;
  font-weight: 400;
}
</style>
